package com.bonus.common.core.utils.poi;

import com.bonus.common.core.annotation.Excel;

public class Person  {
   @Excel(name = "序号", isSequence = true, type = Excel.Type.EXPORT)
   int sequence;
    @Excel(name = "姓名", cellType = Excel.ColumnType.STRING)
    String name;
   @Excel(name = "年龄", cellType = Excel.ColumnType.NUMERIC)
    int age;
    @Excel(name = "性别", readConverterExp="0=男,1=女,2=未知")
    String sex;

    @Excel(name = "头像", cellType = Excel.ColumnType.IMAGE, type = Excel.Type.EXPORT, width = 14,height = 14)
    String imagePath = "http://192.168.0.56:18083/file/2024/08/15/hao_20240815100236A002.jpg";

    @Excel(name = "备注", cellType = Excel.ColumnType.STRING,type = Excel.Type.EXPORT )
    String comments;
    // 公共无参构造函数
    public Person() {
    }

    // 带参数的构造函数
    public Person(String name, int age, String sex) {
        this.name = name;
        this.age = age;
        this.sex = sex;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {this.name = name;}

    public int getAge() {return age;}

    public void setAge(int age) {
        this.age = age;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
 }

    public void setComments(String importErrorMessage) {
        this.comments = importErrorMessage;
    }

    public String getComments() {return comments;}
}
